Bug 973880 - [EAP610 development guide translation to Japanese] 14.4.4. Remote Access to EJBs
Summary: [EAP610 development guide translation to Japanese] 14.4.4. Remote Access to EJBs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Localization
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: jito
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 03:18 UTC by Hisanobu Okuda
Modified: 2013-06-19 00:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.10 Build Name: 11864, Development Guide-6.1-3 Build Date: 23-05-2013 03:02:03 Topic ID: 32345-442932 [Specified]
Last Closed: 2013-06-19 00:39:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Hisanobu Okuda 2013-06-13 03:18:21 UTC
Title: About Remote Method Access

Describe the issue:
1)
データのマーシャリング
Remoting システムはデータのマーシャリングサービスやアンマーシャリングサービスも提供します。データのマーシャリングとは、別のシステムの作業を実行できるようネットワークやプラットフォーム境界の全体で安全にデータを移動できる機能のことを言います。作業は元のシステムへ返送され、ローカルで処理されたように動作します。 

2)
CLI コマンドの適合
default プロファイルを設定する時、CLI コマンドは管理されたドメインに対して公式化されます。異なるプロファイルを設定するには、プロファイルの名前を置き換えます。スタンドアローンサーバーではコマンドの /profile=default の部分を省略します。

3)
安全なトランスポート設定
    Remoting はクライアントの要求があれば StartTLS を使用して安全な接続 (HTTPS、Secure Servlet など) を使用します。安全な接続と安全でない接続の両方で同じソケットバインディング (ネットワークポート) が使用されるため、サーバー側に追加の設定をする必要はありません。クライアントはニーズに従って安全なトランスポートまたは安全でないトランスポートを要求します。EJB、ORB、JMS プロバイダーなどの Remoting を使用する JBoss Enterprise Application Platform のコンポーネントはデフォルトで安全なインターフェースを使用します。 

警告: StartTLS のセキュリティー考察
StartTLS はクライアントの要求があれば安全な接続を有効にしますが、安全でない接続がデフォルトになります。本質的に、StartTLS は攻撃者がクライアントの要求を妨害し、要求を編集して安全でない接続を要求する中間者攻撃の対象になりやすい欠点があります。安全でない接続が適切なフォールバックである場合を除き、クライアントが安全な接続を取得できなかった時に適切に失敗するよう記述する必要があります。 

4)
表14.3 コネクターの属性

5)
表14.4 コネクター要素

6)
例14.12 設定例
この例は JBoss Enterprise Application Platform 6 に同梱されるデフォルトのリモーティングサブシステムを表しています。 



Suggestions for improvement:
1)
データのマーシャリング
Remoting システムはデータのマーシャリングサービスやアンマーシャリングサービスも提供します。データのマーシャリングとは、別のシステムで処理を実行できるようネットワークやプラットフォーム境界の全体で安全にデータを移動できる機能のことを言います。処理結果は元のシステムへ返送され、ローカルで処理されたように動作します。 

2)
CLI コマンドの適合
ドメインの default プロファイルを設定する時の CLI コマンドについて説明します。異なるプロファイルを設定するには、プロファイルの名前を置き換えます。スタンドアローンサーバーではコマンドの /profile=default の部分を省略します。

3)
"secure" は「安全な」ではなく、「セキュアな」としてください。

4)
「名前」とありますが、設定に使う literal なので "name" としてください。原文では "Name" とありますが、これは間違いで "name" が正しいです。

5)
4)と同様に「プロパティー」ではなく、"properties" としてください。SASL 要素 の表も同様です。

6)
例14.12 設定例
この例は JBoss Enterprise Application Platform 6 のデフォルトのリモーティングサブシステムを表しています。 


Additional information:

Comment 2 jito 2013-06-18 23:01:15 UTC
Filed a new bug to have the original English document fixed: https://bugzilla.redhat.com/show_bug.cgi?id=975612


Note You need to log in before you can comment on or make changes to this bug.